Page 1 of 3 123 LastLast
Results 1 to 10 of 22

Thread: KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

  1. #1

    Default KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

    Hello.

    I am trying to launch an update applet and make it search for the new updates. However instead I get:
    Download (curl) error for 'http://download.opensuse.org/tumbleweed/repo/non-oss/repodata/repomd.xml':
    Error code: Connection failed

    Error message: Could not resolve proxy: HTTP_PROXY
    I did zypper dup in terminal, which worked flawlessly.

    I tried:
    1. Setting global proxy to none (in the KDE), then rebooting.
    2. Removing .config/plasma-pk-updates, then restarting Plasma shell.
    3. Googling a little.

    None of these helped.
    I still hope this to be a temporary error, as on my laptop everything works fine.
    What can be wrong this time?
    Desktop: Intel Core i7-8700K, Intel UHD 630, 16 GB of RAM, running openSUSE Tumbleweed.
    Laptop: ASUS N76VZ (Intel Core i7-3610QM, Intel HD 4000 + NVIDIA GT 650M, 16 GB of RAM), running openSUSE Leap 15.2.

  2. #2

    Default Re: KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

    It gets deep even further to the PackageKit:
    ~> pkcon -v update
    06:53:25 PackageKit Verbose debugging enabled (on console 1)
    06:53:25 PackageKit filter=(null), filters=0
    06:53:25 PackageKit adding state 0x562c42efcbe0
    06:53:25 PackageKit role now get-updates
    Getting updates [=========================]
    Finished [ ] (0%)
    06:53:25 PackageKit remove state 0x562c42efcbe0
    Command failed: Download (curl) error for 'http://download.opensuse.org/tumbleweed/repo/non-oss/repodata/repomd.xml':
    Error code: Connection failed
    Error message: Could not resolve proxy: HTTP_PROXY
    But my $HTTP_PROXY variable is empty?!
    Desktop: Intel Core i7-8700K, Intel UHD 630, 16 GB of RAM, running openSUSE Tumbleweed.
    Laptop: ASUS N76VZ (Intel Core i7-3610QM, Intel HD 4000 + NVIDIA GT 650M, 16 GB of RAM), running openSUSE Leap 15.2.

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    26,702

    Default Re: KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

    Do not take this advice to serious, but you could remove the applet and just use zypper.

    But, when you like it, maybe someone who uses it will come to your help here.
    Henk van Velden

  4. #4

    Default Re: KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

    Sure I can do that, but the problem lies even deeper — in the PackageKit, or curl. Whom should I ask what to do now?
    And I'll say again, I have both desktop PC and a laptop and this problem happens only on the former.

    Is there a way to reset PackageKit settings?
    Desktop: Intel Core i7-8700K, Intel UHD 630, 16 GB of RAM, running openSUSE Tumbleweed.
    Laptop: ASUS N76VZ (Intel Core i7-3610QM, Intel HD 4000 + NVIDIA GT 650M, 16 GB of RAM), running openSUSE Leap 15.2.

  5. #5

    Default Re: KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

    I just tried to enter superuser shell with sudo -i and run pkcon -v update. And it worked!
    So, the problem is somewhere in my profile settings.
    Any ideas?
    Desktop: Intel Core i7-8700K, Intel UHD 630, 16 GB of RAM, running openSUSE Tumbleweed.
    Laptop: ASUS N76VZ (Intel Core i7-3610QM, Intel HD 4000 + NVIDIA GT 650M, 16 GB of RAM), running openSUSE Leap 15.2.

  6. #6

    Default Re: KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

    Quote Originally Posted by nikuningyou View Post
    I just tried to enter superuser shell with sudo -i and run pkcon -v update. And it worked!
    So, the problem is somewhere in my profile settings.
    Any ideas?
    I also created test user in YaST, logged into it, and there is no problems neither with KDE Software Updates or PackageKit.
    What is going on?

    Edit: everything started to work and I don't even how.
    Desktop: Intel Core i7-8700K, Intel UHD 630, 16 GB of RAM, running openSUSE Tumbleweed.
    Laptop: ASUS N76VZ (Intel Core i7-3610QM, Intel HD 4000 + NVIDIA GT 650M, 16 GB of RAM), running openSUSE Leap 15.2.

  7. #7
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    26,702

    Default Re: KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

    Please wait for others and not for me. I haven't PackageKit installed, nor the applet.

    The only thing I can say that when it is bound to that user, then try to find within that user's .config and/or .kde4 directories if there is a place for the Applet (I forgot it's real name). And then remove that.
    Henk van Velden

  8. #8
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    14,023
    Blog Entries
    3

    Default Re: KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

    Quote Originally Posted by nikuningyou View Post
    I also created test user in YaST, logged into it, and there is no problems neither with KDE Software Updates or PackageKit.
    What is going on?
    I don't know. I would guess that either it is in your shell startup script (usually ".bashrc") or in your desktop settings. If you are using KDE, then under System Settings, look for Network Settings, and check the Proxy setting there. Here, I have it set for "No Proxy".

    Edit: everything started to work and I don't even how.
    Maybe you fixed it. That's good to hear.
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

  9. #9

    Default Re: KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

    Quote Originally Posted by hcvv View Post
    Please wait for others and not for me. I haven't PackageKit installed, nor the applet.

    The only thing I can say that when it is bound to that user, then try to find within that user's .config and/or .kde4 directories if there is a place for the Applet (I forgot it's real name). And then remove that.
    Okay.
    By the way, I removed the "test" user, rebooted the PC and stopped working. [[[Now I removed .config/plasma-pk-updates and moved .kde4 to .kde4.bak, and voila, it works.]]] It doesn't. I rebooted and it stopped working again.

    I am sure not lucky today.
    Desktop: Intel Core i7-8700K, Intel UHD 630, 16 GB of RAM, running openSUSE Tumbleweed.
    Laptop: ASUS N76VZ (Intel Core i7-3610QM, Intel HD 4000 + NVIDIA GT 650M, 16 GB of RAM), running openSUSE Leap 15.2.

  10. #10

    Default Re: KDE Plasma software update applet throwing an error (couldn't resolve proxy: HTTP_PROXY)

    Quote Originally Posted by nrickert View Post
    I don't know. I would guess that either it is in your shell startup script (usually ".bashrc") or in your desktop settings. If you are using KDE, then under System Settings, look for Network Settings, and check the Proxy setting there. Here, I have it set for "No Proxy".
    In the past I had an proxy autoconfiguration file set there, but not anymore. Still doesn't change anything.

    Quote Originally Posted by nrickert View Post
    Maybe you fixed it. That's good to hear.
    No, unfortunately.
    Desktop: Intel Core i7-8700K, Intel UHD 630, 16 GB of RAM, running openSUSE Tumbleweed.
    Laptop: ASUS N76VZ (Intel Core i7-3610QM, Intel HD 4000 + NVIDIA GT 650M, 16 GB of RAM), running openSUSE Leap 15.2.

Page 1 of 3 123 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •